import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provincePaymentByWeightGetDashboard = createAsyncThunk(
  "PROVINCE_GET_PAYMENT_DASHBOARD",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        "dashboard_detail_general_killhouse_wage",
        {
          params: {
            date1: d.withDate ? d.selectedDate1 : "null",
            date2: d.withDate ? d.selectedDate2 : "null",
            role: getRoleFromUrl(),
          },
        }
      );
      return { data, status };
    } catch (e) {
      return { error: e.response.data };
    }
  }
);
